## cjs 6.0.0

=== meson_options.txt ===
# SPDX-License-Identifier: MIT OR LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2019 Philip Chimento <philip.chimento@gmail.com>

# Features

option('cairo', type: 'feature', value: 'auto',
    description: 'Build cairo module')
option('readline', type: 'feature', value: 'auto',
    description: 'Use readline for input in interactive shell and debugger')
option('profiler', type: 'feature', value: 'auto',
    description: 'Build profiler (Linux only)')

# Flags

option('installed_tests', type: 'boolean', value: false,
    description: 'Install test programs')
option('dtrace', type: 'boolean', value: false,
    description: 'Include dtrace trace support')
option('systemtap', type: 'boolean', value: false,
    description: 'Include systemtap trace support (requires -Ddtrace=true)')
option('bsymbolic_functions', type: 'boolean', value: true,
    description: 'Link with -Bsymbolic-functions linker flag used to avoid intra-library PLT jumps, if supported; not used for Visual Studio and clang-cl builds')
option('skip_dbus_tests', type: 'boolean', value: false,
    description: 'Skip tests that use a DBus session bus')
option('skip_gtk_tests', type: 'boolean', value: false,
    description: 'Skip tests that need a display connection')
option('verbose_logs', type: 'boolean', value: false,
    description: 'Enable extra log messages that may decrease performance (not allowed in release builds)')

## cjs 2.0.0+lmde

=== debian/changelog ===
cjs (2.0.0+lmde) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Oct 2013 13:43:45 +0100

cjs (1.9.1) petra; urgency=low

  * Based on 1.34.0-0ubuntu1 quantal

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 13:31:38 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: cjs
Section: interpreters
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               autotools-dev,
               dh-autoreconf,
               pkg-config,
               libdbus-glib-1-dev,
               libglib2.0-dev (>= 2.32),
               libgirepository1.0-dev (>= 1.32.0),
               gobject-introspection (>= 1.32.0),
               libmozjs185-dev,
               dbus-x11,
               uuid-runtime,
               libcairo2-dev
Standards-Version: 3.9.3

Package: cjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introsepection framework.
 .
 This package contains the interactive console application.

Package: libcjs0c
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libcjs0, libcjs0a
Replaces: libcjs0, libcjs0a
Provides: ${cjs:Provides}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libcjs-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libcjs0c (= ${binary:Version}),
         libgirepository1.0-dev,
         libmozjs185-dev,
         libdbus-1-dev
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# Use recursive variables since this variable must not be expanded until 
# files have been installed.
LIBMOZJS = $(shell objdump -p debian/tmp/usr/lib/libcjs.so | awk '$$1=="NEEDED" && $$2~/^libmozjs/ { print $$2 }' | sed s/\\.so\\./-/ )
DEB_DH_MAKESHLIBS_ARGS_libcjs0c = -Xusr/lib/cjs-1.0/ -V'libcjs0c (>= $(DEB_UPSTREAM_VERSION)), libcjs0-$(LIBMOZJS)' -- -c4

DEB_MAKE_CHECK_TARGET := check || true

install/libcjs0c::
	echo cjs:Provides=libcjs0-$(LIBMOZJS) >> debian/$(cdbs_curpkg).substvars

## cjs 2.0.0+maya

=== debian/changelog ===
cjs (2.0.0+maya) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Oct 2013 13:43:45 +0100

## cjs 2.2.2

=== debian/changelog ===
cjs (2.2.2) qiana; urgency=medium

  * 2.2.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Aug 2014 12:44:59 +0200

cjs (2.2.1) qiana; urgency=medium

  * 2.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2014 11:30:18 +0100

cjs (2.2.0) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 10:33:49 +0100

cjs (2.0.0) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Oct 2013 13:43:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: cjs
 Section: interpreters
 Priority: optional
@@ -27,8 +26,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Description: Mozilla-based javascript bindings for the GNOME platform
- Makes it possible for applications to use all of GNOME's platform
+Description: Mozilla-based javascript bindings for the Cinnamon platform
+ Makes it possible for applications to use all of Cinnamon's platform
  libraries using the Javascript language. It's mainly based on the
  Mozilla javascript engine and the GObject introsepection framework.
  .
@@ -42,8 +41,8 @@
 Conflicts: libcjs0, libcjs0a
 Replaces: libcjs0, libcjs0a
 Provides: ${cjs:Provides}
-Description: Mozilla-based javascript bindings for the GNOME platform
- Makes it possible for applications to use all of GNOME's platform
+Description: Mozilla-based javascript bindings for the Cinnamon platform
+ Makes it possible for applications to use all of Cinnamon's platform
  libraries using the Javascript language. It's mainly based on the
  Mozilla javascript engine and the GObject introspection framework.
  .
@@ -57,8 +56,8 @@
          libgirepository1.0-dev,
          libmozjs185-dev,
          libdbus-1-dev
-Description: Mozilla-based javascript bindings for the GNOME platform
- Makes it possible for applications to use all of GNOME's platform
+Description: Mozilla-based javascript bindings for the Cinnamon platform
+ Makes it possible for applications to use all of Cinnamon's platform
  libraries using the Javascript language. It's mainly based on the
  Mozilla javascript engine and the GObject introspection framework.
  .

## cjs 2.4.2%2Brebecca

=== debian/changelog ===
cjs (2.4.2+rebecca) rebecca; urgency=medium

  * Improved garbage collection and release of memory

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 31 Mar 2015 09:43:22 +0200

cjs (2.4.1) rebecca; urgency=medium

  * Lowered gobject-introspection requirement to 1.38.0
  * Imports: fixed GMenu-to-CMenu proxy for legacy applets.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Nov 2014 12:01:41 +0100

cjs (2.4.0) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Oct 2014 15:29:36 +0100

cjs (2.3.1) unstable; urgency=medium

  * Rebase to upstream version:
    - gjs 1.40.1 (gjs (1.40.1-0ubuntu0.2) trusty)

 -- Michael Webster <miketwebster@gmail.com>  Tue, 12 Aug 2014 21:58:00 -0400

cjs (2.3.0) unstable; urgency=medium

  * 2.3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:28:58 +0100

## cjs 2.4.2+rebecca

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,21 @@
 Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends: debhelper (>= 8),
                cdbs,
+               gnome-common,
                gnome-pkg-tools,
                autotools-dev,
                dh-autoreconf,
                pkg-config,
-               libdbus-glib-1-dev,
-               libglib2.0-dev (>= 2.32),
-               libgirepository1.0-dev (>= 1.32.0),
-               gobject-introspection (>= 1.32.0),
-               libmozjs185-dev,
+               libglib2.0-dev (>= 2.36.0),
+               libgirepository1.0-dev (>= 1.39.3),
+               libgtk-3-dev,
+               gobject-introspection (>= 1.39.3),
+               libmozjs-24-dev,
+               libreadline-dev,
                dbus-x11,
                uuid-runtime,
                libcairo2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: cjs
 Architecture: any
@@ -33,13 +35,14 @@
  .
  This package contains the interactive console application.
 
-Package: libcjs0c
+Package: libcjs0e
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Conflicts: libcjs0, libcjs0a
-Replaces: libcjs0, libcjs0a
+         ${misc:Depends},
+         gir1.2-gtk-3.0
+Conflicts: libcjs0, libcjs0a, libcjs0c
+Replaces: libcjs0, libcjs0a, libcjs0c
 Provides: ${cjs:Provides}
 Description: Mozilla-based javascript bindings for the Cinnamon platform
  Makes it possible for applications to use all of Cinnamon's platform
@@ -52,10 +55,9 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libcjs0c (= ${binary:Version}),
-         libgirepository1.0-dev,
-         libmozjs185-dev,
-         libdbus-1-dev
+         libcjs0e (= ${binary:Version}),
+         libgirepository1.0-dev (>= 1.39.3),
+         libmozjs-24-dev
 Description: Mozilla-based javascript bindings for the Cinnamon platform
  Makes it possible for applications to use all of Cinnamon's platform
  libraries using the Javascript language. It's mainly based on the

## cjs 2.6.0

=== debian/changelog ===
cjs (2.6.0-1) unstable; urgency=medium

  * New upstream release (2.6.0).
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jun 2015 21:46:28 +0200

cjs (2.4.2-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Maximiliano Curia ]
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Apr 2015 23:18:16 +0200

cjs (2.4.1-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release. (Closes: #755177)
  * Cjs 2.4 was rebased on gjs, big update of dependencies, symbols and
    removed all debian/patches.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 01 Mar 2015 13:17:50 +0100

cjs (2.2.2-2) unstable; urgency=medium

  * New patch: debian/patches/no_dbus_abstract_for_tests
      Use unix:path instead of unix:abstract inside test/run-with-dbus
      Closes: #759023
  * New patch: debian/patches/use_assert_equals
      Use assertEquals instead of assertTrue in an assert for equality.
      This is one step towards building in sparc.

 -- Margarita Manterola <marga@debian.org>  Sat, 30 Aug 2014 10:46:52 -0700

cjs (2.2.2-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.
  * debian/patches: removed one patch applied upstream.

 -- Margarita Manterola <marga@debian.org>  Fri, 22 Aug 2014 16:52:07 -0700

cjs (2.2.1-2) unstable; urgency=medium

  * New patch: upstream_fix_upstream_bug_preventing_start-on-
    demand_dbus.patch
  * New patch: use_check_LTLIBRARIES
  * New patch: missing_macros
  * New patch: hacky_workaround_for_dbus_issue

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Jul 2014 21:14:40 +0200

cjs (2.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Margarita Manterola <marga@debian.org>  Sat, 24 May 2014 19:28:44 +0200

cjs (2.2.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release (Closes: #745917).
  * New patch: upstream_clean-a-leftover.diff
  * New patch: upstream_enable-jit.diff
  * New patch: flacky_test
  * Migrate debian/copyright to 1.0.
  * Add autopkgtests.
  * Add abi-compliance-checker info.
  * Add symbols file.
  * Update VCS fields.
  * Update dependencies of libcjs-dev.

  [ Margarita Manterola ]
  * New upstream release 2.2.0.
  * Remove already applied patches.
  * Add myself to uploaders.

 -- Margarita Manterola <marga@debian.org>  Mon, 19 May 2014 13:36:18 +0200

=== debian/control ===
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools,
               gobject-introspection (>= 1.39.3),
               libglib2.0-dev (>= 2.37.3),
               libgirepository1.0-dev (>= 1.39.3),
               libgtk-3-dev,
               libmozjs-24-dev,
               libreadline-dev,
               libcairo2-dev,
               pkg-config
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/cjs.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cjs.git

Package: cjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introsepection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the interactive console application.

Package: libcjs0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gtk-3.0
Provides: ${cjs:Provides}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This is the shared library applications link to.

Package: libcjs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libcjs0 (= ${binary:Version}),
         libgirepository1.0-dev (>= 1.39.3),
         libmozjs-24-dev
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the development files applications need to
 build against.

Package: libcjs-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcjs0 (= ${binary:Version}), ${misc:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the symbols files needed to debug the applications that
 use the cjs's shared library.

## cjs 2.6.1

=== debian/changelog ===
cjs (2.6.1-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Jun 2015 12:33:53 +0200

cjs (2.6.0-2) unstable; urgency=critical

  * Add Breaks in debian/control as this package is backwards incompatible.
    (Closes: #788204)

 -- Margarita Manterola <marga@debian.org>  Tue, 09 Jun 2015 19:29:57 +0200

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/(.*)/cjs-$1/" \
    https://github.com/linuxmint/cjs/tags .*/(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## cjs 2.6.2

=== debian/changelog ===
cjs (2.6.2-1build1) wily; urgency=medium

  * No-change rebuild against libmozjs-24-0v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 07:17:08 +0200

cjs (2.6.2-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Jul 2015 15:28:03 +0200

=== debian/control ===
--- 
+++ 
@@ -47,6 +47,7 @@
          ${misc:Depends},
          gir1.2-gtk-3.0
 Provides: ${cjs:Provides}
+Breaks: cinnamon (<= 2.4.0~)
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the Javascript language. It's mainly based on the

## cjs 2.6.2+rafaela

=== debian/changelog ===
cjs (2.6.2+rafaela) rafaela; urgency=medium

  [ Dexter Chua ]
  * signals.js: add signalHandlerIsConnected method

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Jun 2015 22:45:02 +0200

cjs (2.6.1) rafaela; urgency=medium

  [ Dexter Chua ]
  * Use python2 instead of python

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Jun 2015 12:44:28 +0200

cjs (2.6.0) rafaela; urgency=medium

  * 2.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 May 2015 17:01:22 +0200

cjs (2.5.0) unstable; urgency=medium

  * bump for development

 -- Michael Webster <miketwebster@gmail.com>  Sat, 11 Apr 2015 09:02:17 -0400

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,13 @@
 # Use recursive variables since this variable must not be expanded until 
 # files have been installed.
 LIBMOZJS = $(shell objdump -p debian/tmp/usr/lib/libcjs.so | awk '$$1=="NEEDED" && $$2~/^libmozjs/ { print $$2 }' | sed s/\\.so\\./-/ )
-DEB_DH_MAKESHLIBS_ARGS_libcjs0c = -Xusr/lib/cjs-1.0/ -V'libcjs0c (>= $(DEB_UPSTREAM_VERSION)), libcjs0-$(LIBMOZJS)' -- -c4
+DEB_DH_MAKESHLIBS_ARGS_libcjs0e = -Xusr/lib/cjs-1.0/ -V'libcjs0e (>= $(DEB_UPSTREAM_VERSION)), libcjs0-$(LIBMOZJS)' -- -c4
 
-DEB_MAKE_CHECK_TARGET := check || true
+DEB_MAKE_CHECK_TARGET := check
 
-install/libcjs0c::
+ifeq ($(DEB_HOST_ARCH), powerpc)
+    DEB_MAKE_CHECK_TARGET := check || true
+endif
+
+install/libcjs0e::
 	echo cjs:Provides=libcjs0-$(LIBMOZJS) >> debian/$(cdbs_curpkg).substvars

## cjs 2.8.0

=== debian/changelog ===
cjs (2.8.0-1) unstable; urgency=medium

  * New upstream release (2.8.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jan 2016 20:19:26 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with=autoreconf,gir,gnome

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_strip:
	dh_strip --dbg-package=libcjs-dbg

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0/

## cjs 2.8.0+rosa

=== debian/changelog ===
cjs (2.8.0+rosa) rosa; urgency=medium

  [ pixunil ]
  * importer.cpp: Add a method to the global imports object addSubImporter(name, path)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Oct 2015 13:56:06 +0100

cjs (2.6.2) rafaela; urgency=medium

  [ Dexter Chua ]
  * signals.js: add signalHandlerIsConnected method

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Jun 2015 22:45:02 +0200

## cjs 3.0.1

=== debian/changelog ===
cjs (3.0.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Fix dbgsym-migration rules

 -- Margarita Manterola <marga@debian.org>  Sun, 29 May 2016 16:37:31 +0200

cjs (3.0.1-2) unstable; urgency=medium

  * The new libcjs0 breaks old cinnamon's behavior.  Make this clear so that
    users don't get the lib upgraded by mistake. (Closes: #824829)

 -- Margarita Manterola <marga@debian.org>  Sat, 28 May 2016 15:04:20 +0200

cjs (3.0.1-1) unstable; urgency=medium

  * New upstream release (3.0.0).
  * New upstream release (3.0.1).
  * Fix typo.
    Thanks to Thomas Vincent for reporting (Closes: #819348)
  * Remove obsolete testsuite field.
  * Automatic update with ddeb_migration3.py
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Fri, 13 May 2016 13:04:22 +0200

=== debian/control ===
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools,
               gobject-introspection (>= 1.39.3),
               libcairo2-dev,
               libgirepository1.0-dev (>= 1.39.3),
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev,
               libmozjs-24-dev,
               libreadline-dev,
               pkg-config
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cjs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cjs.git

Package: cjs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the interactive console application.

Package: libcjs0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
Provides: ${cjs:Provides}
Breaks: cinnamon (<< 3~)
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This is the shared library applications link to.

Package: libcjs-dev
Section: libdevel
Architecture: any
Depends: libcjs0 (= ${binary:Version}),
         libgirepository1.0-dev (>= 1.39.3),
         libmozjs-24-dev,
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the development files applications need to
 build against.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh_gnome_clean --no-control
 
 override_dh_strip:
-	dh_strip --dbg-package=libcjs-dbg
+	dh_strip --dbgsym-migration='libcjs-dbg (<< 3.0.1-1~)' || dh_strip
 
 override_dh_install:
 	dh_install --list-missing

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential
Restrictions: build-needed allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## cjs 3.0.1+sarah

=== debian/changelog ===
cjs (3.0.1+sarah) sarah; urgency=medium

  [ Michael Webster ]
  * repo.cpp: Add Gvc->Cvc mapping for backward compatibility of sound xlets.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 May 2016 16:26:22 +0100

cjs (3.0.0) sarah; urgency=medium

  * 3.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Apr 2016 10:50:03 +0100

cjs (2.8.0) rosa; urgency=medium

  [ pixunil ]
  * importer.cpp: Add a method to the global imports object addSubImporter(name, path)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Oct 2015 13:56:06 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-common,
               gnome-pkg-tools,
               autotools-dev,
               dh-autoreconf,
               pkg-config,
               libglib2.0-dev (>= 2.37.3),
               libgirepository1.0-dev (>= 1.33.10),
               libgtk-3-dev,
               gobject-introspection (>= 1.33.10),
               libmozjs-24-dev,
               libreadline-dev,
               dbus-x11,
               uuid-runtime,
               libcairo2-dev
Standards-Version: 3.9.5

Package: cjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introsepection framework.
 .
 This package contains the interactive console application.

Package: libcjs0e
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gtk-3.0
Conflicts: libcjs0, libcjs0a, libcjs0c
Replaces: libcjs0, libcjs0a, libcjs0c
Provides: ${cjs:Provides}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libcjs-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libcjs0e (= ${binary:Version}),
         libgirepository1.0-dev (>= 1.33.10),
         libmozjs-24-dev
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

## cjs 3.2.0

=== debian/changelog ===
cjs (3.2.0-3) unstable; urgency=medium

  * Release to unstable

 -- Margarita Manterola <marga@debian.org>  Tue, 20 Dec 2016 20:04:49 -0300

cjs (3.2.0-2) experimental; urgency=medium

  * Explicitly depend on automake, as some buildds sometimes pull automaken
    instead, causing build failures.

 -- Margarita Manterola <marga@debian.org>  Sat, 17 Dec 2016 16:45:19 -0300

cjs (3.2.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Add new patch: Using-dbus-daemon-directly-in-tests.patch.
    Thanks to Simon McVittie for the report (Closes: 835848)
  * Add new patch: Make-AX_-macros-optional.patch
  * Actually drop gnome-common build dependency
  * Add new patch: Drop-glib-gettextize-gtkdocize-and-intltoolize.patch
  * Update autopkgtests
  * Drop upstream applied patch: migrate_from_gnome-common.patch
  * Drop upstream applied pattch: Make-AX_-macros-optional.patch
  * Drop upstream applied patch: Drop-glib-gettextize-gtkdocize-and-
    intltoolize.patch

  [ Margarita Manterola ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Dec 2016 22:21:36 +0100

cjs (3.0.1-3) unstable; urgency=medium

  [ Margarita Manterola ]
  * Fix dbgsym-migration rules

  [ Maximiliano Curia ]
  * Add new patch: migrate_from_gnome-common.patch (Closes: 829932)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Jul 2016 13:29:38 +0200

=== debian/control ===
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends:
 autoconf-archive,
 automake,
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 gnome-pkg-tools,
 gobject-introspection (>= 1.39.3),
 libcairo2-dev,
 libgirepository1.0-dev (>= 1.39.3),
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev,
 libmozjs-24-dev,
 libreadline-dev,
 pkg-config
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cjs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cjs.git

Package: cjs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the interactive console application.

Package: libcjs0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
Provides: ${cjs:Provides}
Breaks: cinnamon (<< 3~)
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This is the shared library applications link to.

Package: libcjs-dev
Section: libdevel
Architecture: any
Depends:
 libcjs0 (= ${binary:Version}),
 libgirepository1.0-dev (>= 1.39.3),
 libmozjs-24-dev,
 ${misc:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the development files applications need to
 build against.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@ --parallel --with=autoreconf,gir,gnome
+
+override_dh_autoreconf:
+	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh
 
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control

## cjs 3.2.0+betsy

=== debian/changelog ===
cjs (3.2.0+betsy) serena; urgency=medium

  [ Maximiliano Curia ]
  * Migrate away from gnome-common deprecated vars and macros

  [ Michael Webster ]
  * modules/GObject.js: Add access to handler_block and handler_unblock.

  [ Clement Lefebvre ]
  * Fixed build

  [ Maximiliano Curia ]
  * Make AX_ macros optional
  * Drop glib-gettextize, gtkdocize and intltoolize

  [ leigh123linux ]
  * build: Require C++11

  [ Michael Webster ]
  * Fix build when extra debugging is enabled (util/log.h)

  [ Clement Lefebvre ]
  * pkg: Add missing autoconf-archive in debian/control.in

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:28:25 +0000

cjs (3.0.1) sarah; urgency=medium

  [ Michael Webster ]
  * repo.cpp: Add Gvc->Cvc mapping for backward compatibility of sound xlets.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 May 2016 16:26:22 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-common,
               gnome-pkg-tools,
               autotools-dev,
               dh-autoreconf,
               autoconf-archive,
               pkg-config,
               libglib2.0-dev (>= 2.37.3),
               libgirepository1.0-dev (>= 1.33.10),
               libgtk-3-dev,
               gobject-introspection (>= 1.33.10),
               libmozjs-24-dev,
               libreadline-dev,
               dbus-x11,
               uuid-runtime,
               libcairo2-dev
Standards-Version: 3.9.5

Package: cjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introsepection framework.
 .
 This package contains the interactive console application.

Package: libcjs0e
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gtk-3.0
Conflicts: libcjs0, libcjs0a, libcjs0c
Replaces: libcjs0, libcjs0a, libcjs0c
Provides: ${cjs:Provides}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libcjs-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libcjs0e (= ${binary:Version}),
         libgirepository1.0-dev (>= 1.33.10),
         libmozjs-24-dev
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

## cjs 3.2.0+serena

=== debian/changelog ===
cjs (3.2.0+serena) serena; urgency=medium

  [ Maximiliano Curia ]
  * Migrate away from gnome-common deprecated vars and macros

  [ Michael Webster ]
  * modules/GObject.js: Add access to handler_block and handler_unblock.

  [ Clement Lefebvre ]
  * Fixed build

  [ Maximiliano Curia ]
  * Make AX_ macros optional
  * Drop glib-gettextize, gtkdocize and intltoolize

  [ leigh123linux ]
  * build: Require C++11

  [ Michael Webster ]
  * Fix build when extra debugging is enabled (util/log.h)

  [ Clement Lefebvre ]
  * pkg: Add missing autoconf-archive in debian/control.in

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:28:25 +0000

## cjs 3.4.4

=== debian/changelog ===
cjs (3.4.4-0ubuntu3) artful; urgency=medium

  * Have libcjs-dev depend on libcairo2-dev, libglib2.0-dev (>= 2.42.0),
    and libgtk-3-dev to match its pkgconfig file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Aug 2017 08:08:07 -0400

cjs (3.4.4-0ubuntu2) artful; urgency=medium

  * Be less strict with symbols file.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Aug 2017 19:33:42 -0400

cjs (3.4.4-0ubuntu1) artful; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.4.4).
    Cjs 3.4 has been rebased on gjs 1.48.2.

  [ Jeremy Bicha ]
  * Update symbols file
  * Drop Using-dbus-daemon-directly-in-tests.patch.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Aug 2017 18:58:09 -0400

=== debian/control ===
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends:
 at-spi2-core,
 autoconf-archive,
 automake,
 autotools-dev,
 dbus,
 dbus-x11,
 debhelper (>= 10),
 dh-autoreconf,
 gnome-pkg-tools,
 gobject-introspection (>= 1.46.0),
 libcairo2-dev,
 libgirepository1.0-dev (>= 1.46.0),
 libglib2.0-dev (>= 2.42.0),
 libgtk-3-dev,
 libmozjs-38-dev,
 libreadline-dev,
 pkg-config,
 xvfb
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cjs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cjs.git

Package: cjs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the interactive console application.

Package: libcjs0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
Provides: ${cjs:Provides}
Breaks: cinnamon (<< 3~)
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This is the shared library applications link to.

Package: libcjs-dev
Section: libdevel
Architecture: any
Depends:
 cjs,
 libcairo2-dev,
 libcjs0 (= ${binary:Version}),
 libgirepository1.0-dev (>= 1.41.4),
 libglib2.0-dev (>= 2.42.0),
 libgtk-3-dev,
 libmozjs-38-dev,
 ${misc:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the development files applications need to
 build against.

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 	dh_install --list-missing
 
 override_dh_makeshlibs:
-	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0/
+	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0/ -- -c0

## cjs 3.4.4+sonya

=== debian/changelog ===
cjs (3.4.4+sonya) sonya; urgency=medium

  [ leigh123linux ]
  * object: Keep proper track of pending closure invalidations
  * revert b66d7c2965f20c2cf51628840682c404a01bf408

  [ Michael Webster ]
  * Add a debug package.

  [ Jason Hicks ]
  * object: Zero out new ConnectData

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 Aug 2017 12:43:19 +0200

cjs (3.4.3) sonya; urgency=medium

  [ Michael Webster ]
  * object.cpp: Follow-up to 503fa20e07ce - handler ID's *must* be managed from start to finish - they should be initialized to 0, and re-set to 0 whenever they're finished being used.

  [ leigh123linux ]
  * arg: don't crash when asked to convert a null strv to an array (#48)

  [ Michael Webster ]
  * Apply upstream: https://github.com/GNOME/gjs/commit/bace908922aa6ee9ee3885eef01b75816ece842f

  [ Philip Chimento ]
  * closure: Remove pointer to runtime
  * closure: Prevent use-after-free in closures

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Jul 2017 11:10:34 +0200

cjs (3.4.2) sonya; urgency=medium

  [ leigh123linux ]
  * tweener: Add undefined property check (#45)

  [ Michael Webster ]
  * tweener.js: silence some additional warnings due to missing/unused properties.

  [ leigh123linux ]
  * object: Prevent use-after-free in signal connections
  * util-root: Require GjsMaybeOwned callback to reset

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2017 12:18:57 +0200

cjs (3.4.1) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Don't use build profiles in build-deps

  [ Alexei Sorokin ]
  * Better GLib and autotools compatibility (#44)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 15:28:25 +0100

cjs (3.4.0) sonya; urgency=medium

  [ Michael Webster ]
  * Rebase to upstream gjs 1.48.0 (a7bcfb9f3e00ca9849bf44a).
  * Always reload extension js modules.

  [ pixunil ]
  * min / max properties to specify a minimal / maximal value

  [ dalcde ]
  * Throw error when attempting to instantiate abstract class

  [ Dexter Chua ]
  * signals.js: add signalHandlerIsConnected method
  * Use python2 instead of python

  [ pixunil ]
  * importer.cpp: Add a method to the global imports object addSubImporter(name, path)

  [ Michael Webster ]
  * modules/GObject.js: Add access to handler_block and handler_unblock.
  * Fix file location problem from rebasing

  [ leigh123linux ]
  * lost commit: remove aclocal

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Apr 2017 08:30:32 -0400

cjs (3.2.0) serena; urgency=medium

  [ Maximiliano Curia ]
  * Migrate away from gnome-common deprecated vars and macros

  [ Michael Webster ]
  * modules/GObject.js: Add access to handler_block and handler_unblock.

  [ Clement Lefebvre ]
  * Fixed build

  [ Maximiliano Curia ]
  * Make AX_ macros optional
  * Drop glib-gettextize, gtkdocize and intltoolize

  [ leigh123linux ]
  * build: Require C++11

  [ Michael Webster ]
  * Fix build when extra debugging is enabled (util/log.h)

  [ Clement Lefebvre ]
  * pkg: Add missing autoconf-archive in debian/control.in

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:28:25 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               gnome-common,
               gnome-pkg-tools,
               pkg-config,
               libglib2.0-dev (>= 2.42.0),
               libgirepository1.0-dev (>= 1.46.0),
               gobject-introspection (>= 1.46.0),
               libmozjs-38-dev,
               libreadline-dev,
               libgtk-3-dev,
               libcairo2-dev,
               dbus,
               dbus-x11,
               at-spi2-core,
               xvfb
Standards-Version: 3.9.8

Package: cjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the interactive console application.

Package: libcjs0f
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Conflicts: libcjs0, libcjs0a, libcjs0c, libcjs0e
Replaces: libcjs0, libcjs0a, libcjs0c, libcjs0e
Provides: ${cjs:Provides}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libcjs-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         cjs,
         libcjs0f (= ${binary:Version}),
         libgirepository1.0-dev (>= 1.41.4),
         libgtk-3-dev,
         libmozjs-38-dev
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

Package: libcjs-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcjs0f (= ${binary:Version}),
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This development package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# Use recursive variables since this variable must not be expanded until 
# files have been installed.
#LIBMOZJS = $(shell objdump -p debian/tmp/usr/lib/libgjs.so | awk '$$1=="NEEDED" && $$2~/^libmozjs/ { print $$2 }' | sed s/\\.so\\./-/ )
# Hard code the mozjs version here since the above line didn't seem to work
LIBMOZJS = libmozjs-38-0

%:
	dh $@ --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=\$${prefix}/lib \
		--libexecdir=\$${prefix}/lib/cjs \
		--with-xvfb-tests \
		--with-dbus-tests

override_dh_girepository:
	dh_girepository -l $(CURDIR) /usr/lib/cjs/girepository-1.0

override_dh_install:
	dh_install --fail-missing -X.la

override_dh_auto_test:
	dh_auto_test || true

override_dh_strip:
	dh_strip --dbg-package=libcjs-dbg

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/cjs-1.0/ -V'libcjs0f (>= $(DEB_UPSTREAM_VERSION)), libcjs0-$(LIBMOZJS)' -- -c4

override_dh_gencontrol:
	echo cjs:Provides=libcjs0-$(LIBMOZJS) >> debian/libcjs0f.substvars
	dh_gencontrol
